﻿using igGridMVCStatApplication.Models;
using Infragistics.Web.Mvc;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using System.Web.Script;
using System.Web.Script.Serialization;
using System.Web;
using System;
using System.IO;

namespace igGridMVCStatApplication.Controllers
{
    public class HomeController : Controller
    {
        // GET: /Home/
        public ActionResult Index()
        {
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            var queryString = Request.QueryString.ToString();
            if (queryString.IndexOf("filter") > -1)
            {
                var filterName = HttpUtility.ParseQueryString(queryString).Get("filter(Name)");
            }
            var prod = Product.GetProductData().AsQueryable();
            return View("Index", prod);
        }

        [ComboDataSourceAction]
        [ActionName("product-combo-dataCities")]
        public ActionResult ComboDataCities(int id)
        {
            IEnumerable<City> cities = City.GetCities().Where(x => x.Key == id).AsQueryable();
            return View(cities);
        }
    }
}
